scala.collection.jcl.ArrayList
class Projection

[source: `scala/collection/jcl/ArrayList.scala`]

`` `class` Projection
  `extends` Projection[A]`with` MutableProjection[A]`with` Projection0[A]

Method Summary
`override def` | elements : BufferIterator[Int, A] The default implementation of a map over mutable iterable collections.
`override def` | projection : Projection returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Projection0
map

Methods inherited from MutableProjection
force

Methods inherited from Mutable
readOnly, drop, take, slice, reverse

Methods inherited from Projection
append

Methods inherited from RandomAccessSeq
++, toStream, safeIs

Methods inherited from Buffer
firstKey, lastKey, compare, remove, remove, replace, set, update, add, add, addAll, transform, +, -=, isEmpty, rangeImpl, replace

Methods inherited from Ranged
from, until, range

Methods inherited from Collection
hasAll, addAll, ++, +=

Methods inherited from Projection
filter

Methods inherited from Projection
flatMap, takeWhile

Methods inherited from MutableSeq
apply, indexOf, length

Methods inherited from MutableIterable
has, remove, removeAll, --, -, retain, retainAll, size0, clear

Methods inherited from Seq
size, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` elements : BufferIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

Overrides
  Projection0.elements

`override` `def` projection : Projection

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Projection.projection, MutableProjection.projection, Projection0.projection